sc::TwoBodyMOIntsTransform_ixjy(3)

NAME
sc::TwoBodyMOIntsTransform_ixjy -

TwoBodyMOIntsTransform_ixjy computes (ix|jy) integrals using parallel integrals-direct AO->MO transformation.

SYNOPSIS

#include <transform_ixjy.h>

Inherits sc::TwoBodyMOIntsTransform.

  Public Member Functions
TwoBodyMOIntsTransform_ixjy (StateIn &)
TwoBodyMOIntsTransform_ixjy (const std::string &name, const Ref< MOIntsTransformFactory > &factory, const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2, const Ref< MOIndexSpace > &space3, const Ref< MOIndexSpace > &space4)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
std::string type () const
Implementation of TwoBodyMOIntsTransform::type()
const size_t memgrp_blksize () const
Returns the number of bytes allocated for each ij-block of integrals of one type in MemoryGrp.
void compute ()
Computes transformed integrals.
void check_int_symm (double threshold=TwoBodyMOIntsTransform::zero_integral) const throw (ProgrammingError)
Check symmetry of transformed integrals.

  Additional Inherited Members

Detailed Description

TwoBodyMOIntsTransform_ixjy computes (ix|jy) integrals using parallel integrals-direct AO->MO transformation.

Member Function Documentation

  void sc::TwoBodyMOIntsTransform_ixjy::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.